[arch-commits] Commit in ntop/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Tue Jun 9 07:12:54 EDT 2009


    Date: Tuesday, June 9, 2009 @ 07:12:54
  Author: giovanni
Revision: 42038

Merged revisions 42036 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/ntop/trunk

........
  r42036 | douglas | 2009-06-09 03:51:38 -0700 (mar, 09 giu 2009) | 2 lines
  
  upgpkg: ntop 3.3.10-1
      Updated and fixed rpaths
........

Modified:
  ntop/repos/extra-x86_64/	(properties)
  ntop/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++--------------
 1 file changed, 28 insertions(+), 14 deletions(-)


Property changes on: ntop/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ntop/trunk:1-23174
   + /ntop/trunk:1-42037

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-09 10:52:26 UTC (rev 42037)
+++ extra-x86_64/PKGBUILD	2009-06-09 11:12:54 UTC (rev 42038)
@@ -1,29 +1,43 @@
 # $Id$
-# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=ntop
-pkgver=3.3.9
-pkgrel=2
+pkgver=3.3.10
+pkgrel=1
 pkgdesc="A network traffic probe that shows the network usage"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.ntop.org"
-depends=('libpcap>=1.0.0' 'gd' 'glib' 'libxml2' 'openssl' 'gdbm' 'rrdtool>=1.3.5' 'pcre' 'geoip')
+depends=('libevent' 'libpcap>=1.0.0' 'gd' 'glib' 'libxml2' 'openssl' 'gdbm' 'rrdtool>=1.3.5' 'pcre' 'geoip' 'lua')
 options=('!libtool' '!makeflags')
 install=ntop.install
 source=(http://downloads.sourceforge.net/sourceforge/ntop/ntop-$pkgver.tar.gz
         ntop.confd ntop.rcd)
-md5sums=('0c22038e0f2aa003110437b5a5d5a6a5' 'b4ea63012f94c2988e767e78ac16a309'\
-         '76acde24cc5f428ff862d7c0815feb14')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-      --disable-snmp || return 1
-  make || return 1
-  make DESTDIR=${pkgdir} install-recursive || return 1
-  install -d -m755 --owner=nobody --group=nobody ${pkgdir}/var/ntop || return 1
+    # Thanks a lot for the fixes Gerardo
 
-  install -D -m755 ${srcdir}/ntop.rcd ${pkgdir}/etc/rc.d/ntop  || return 1
-  install -D -m644 ${srcdir}/ntop.confd ${pkgdir}/etc/conf.d/ntop || return 1
+    cd ${srcdir}/${pkgname}-${pkgver}
+    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var/lib \
+                 --disable-snmp || return 1
+    make || return 1
+    make DESTDIR=${pkgdir} install-recursive || return 1
+
+    install -d -m755 --owner=nobody --group=nobody ${pkgdir}/var/lib/ntop || return 1
+
+    install -D -m755 ${srcdir}/ntop.rcd ${pkgdir}/etc/rc.d/ntop  || return 1
+    install -D -m644 ${srcdir}/ntop.confd ${pkgdir}/etc/conf.d/ntop || return 1
+
+    (
+        cd ${pkgdir}/usr/lib/ntop/plugins
+        for _plug in *.so; do
+            ln -sf ../../lib${_plug} ${_plug}
+        done
+    ) || return 1
 }
+md5sums=('6e2ffa90d5f935c8f03d88a5dd19a866'
+         ''
+         '')
+md5sums=('6e2ffa90d5f935c8f03d88a5dd19a866'
+         'b4ea63012f94c2988e767e78ac16a309'
+         '76acde24cc5f428ff862d7c0815feb14')



More information about the arch-commits mailing list